Subject: UNIX newbie needs assistance

From: [email-masked]
Date: Sun, 16 Aug 1992 13:43:00 -0700

I'm new to UNIX and have tried to compile the MOO server (versions 1.5.9
and 1.6.1) on an Ultrix V4.2 (Rev. 96) MicroVAX II platform.  I'm using
CC (no GCC on this machine) and believe that I have the Makefile properly
configured but still receive the following error.

apsvax.aps.muohio.edu> make
cc -g -DMOO -DUSE_RANDOM -DUSE_POSIX -DUSE_SYSTEM_MALLOC -Dconst= -c ast.c
"./structures.h", line 131: syntax error
"./structures.h", line 139: syntax error
"./structures.h", line 139: warning: old-fashioned initialization: use =
"./structures.h", line 139: warning: undeclared initializer name program
"./structures.h", line 139: illegal indirection
"./structures.h", line 139: illegal initialization
"./structures.h", line 140: cannot recover from earlier errors: goodbye!
*** Error code 1

Stop.
apsvax.aps.muohio.edu>

Is there something I've overlooked?  I'll be the first to admit that I know
next to nothing about UNIX and I'm not a guru at C either, but the code
looks fine and other people are using it without trouble.

The MOO is more or less an experiment for me on this platform.  It's just
there so I can play around with it on a UNIX box and then delete it when
the diskspace gets tight, so it's no biggie.  I'm still puzzled, though.

Anything, ranging from RTFM to a solution would be greatly appreciated..
Thanks.

--
Oates                              [email-masked]
                                   [email-masked]
"When you install OS/2 2.0 you put the virtual reality hood on the
 pit bull.  The question is, who'll take it off?" - Jim Jones